
Infrastructure - Task #6411

Story # 6409 (Closed): Replication Maintenance updates

Prevent replication from targeting MN with invalid replica

2014-09-24 14:39 - Skye Roseboom

Status: Closed Start date: 2014-09-24

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Milestone: None Story Points:  

Product Version: *   

Description

When replication is selecting replication target MN - filter out MN which already contain an invalid replica of the document.  Also look

to add some randomization to target MN which have the same target MN scoring values

History

#1 - 2014-09-24 14:39 - Skye Roseboom

- Status changed from In Progress to Testing

#2 - 2014-09-24 14:43 - Skye Roseboom

- Target version set to Release Backlog

#3 - 2014-09-24 16:38 - Skye Roseboom

Code review revealed code already in place for shuffling/randomizing order of potential replication target nodes with same prioritization score value.

#4 - 2014-09-24 17:54 - Dave Vieglais

- Target version changed from Release Backlog to CCI-1.5.0

#5 - 2014-12-15 20:03 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0
